# Retrieve a list of ATS jobs

GET https://api.letsdeel.com/rest/v2/ats/jobs

Retrieves a list of all jobs in the Applicant Tracking System. Results can be filtered by query parameters.
 **Token scopes**: `ats:read`

Reference: https://developer.deel.com/api/reference/endpoints/ats/retrieve-a-list-of-ats-jobs

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /ats/jobs:
    get:
      operationId: retrieve-a-list-of-ats-jobs
      summary: Retrieve a list of ATS jobs
      description: >-
        Retrieves a list of all jobs in the Applicant Tracking System. Results
        can be filtered by query parameters.
         **Token scopes**: `ats:read`
      tags:
        - subpackage_ats
      parameters:
        - name: cursor
          in: query
          description: The cursor for pagination
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Maximum number of records returned in one response
          required: false
          schema:
            type: integer
            default: 20
        - name: search
          in: query
          description: Text to search for in job records (optional)
          required: false
          schema:
            type: string
        - name: interview_plan_id
          in: query
          description: Interview plan UUID (optional)
          required: false
          schema:
            type: string
            format: uuid
        - name: location_ids
          in: query
          description: Array of location UUIDs (optional)
          required: false
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: team_ids
          in: query
          description: Array of team UUIDs (optional)
          required: false
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: employment_type_ids
          in: query
          description: Array of employment type UUIDs (optional)
          required: false
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: department_ids
          in: query
          description: Array of department UUIDs (optional)
          required: false
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: updated_after
          in: query
          description: Filter jobs updated after this timestamp (ISO 8601 format)
          required: false
          schema:
            type: string
            format: date-time
        - name: status
          in: query
          description: Array of job status values (optional)
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/AtsJobsGetParametersStatusSchemaItems'
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ATS_retrieveAListOfAtsJobs_Response_200'
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaItems
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    AtsJobsGetParametersStatusSchemaItems:
      type: string
      enum:
        - OPEN
        - CLOSED
        - DRAFT
        - WAITING_FOR_APPROVAL
        - APPROVED
        - NOT_APPROVED
        - ARCHIVED
      title: AtsJobsGetParametersStatusSchemaItems
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsStatus:
      type: string
      enum:
        - OPEN
        - CLOSED
        - DRAFT
        - WAITING_FOR_APPROVAL
        - APPROVED
        - NOT_APPROVED
        - ARCHIVED
      description: Job status
      title: AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsStatus
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobTeamsItemsTeam:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the team
        name:
          type: string
          description: Team name
      description: Team associated with the job
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobTeamsItemsTeam
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobTeamsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job team
        team:
          $ref: >-
            #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobTeamsItemsTeam
          description: Team associated with the job
      title: AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobTeamsItems
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobLocationsItemsLocation:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the location
        name:
          type: string
          description: Location name
      description: Location associated with the job
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobLocationsItemsLocation
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobLocationsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job location
        location:
          $ref: >-
            #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobLocationsItemsLocation
          description: Location associated with the job
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobLocationsItems
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsHiringMembersItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the hiring member
        hris_organization_user_id:
          type: string
          format: uuid
          description: Unique identifier for the HRIS organization user
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsHiringMembersItems
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobDepartmentsItemsDepartment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the department
        name:
          type: string
          description: Department name
      description: Department associated with the job
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobDepartmentsItemsDepartment
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobDepartmentsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job department
        department:
          oneOf:
            - $ref: >-
                #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobDepartmentsItemsDepartment
            - type: 'null'
          description: Department associated with the job
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobDepartmentsItems
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsCurrentCompensationPeriodSlug:
      type: string
      enum:
        - ANNUALLY
        - MONTHLY
        - SEMIMONTHLY
        - BIWEEKLY
        - WEEKLY
        - DAILY
        - HOURLY
      description: Compensation period
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsCurrentCompensationPeriodSlug
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsCurrentCompensation:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the compensation
        job_id:
          type: string
          format: uuid
          description: Job ID associated with the compensation
        max_amount:
          type:
            - number
            - 'null'
          format: double
          description: Maximum compensation amount
        min_amount:
          type:
            - number
            - 'null'
          format: double
          description: Minimum compensation amount
        period_slug:
          $ref: >-
            #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsCurrentCompensationPeriodSlug
          description: Compensation period
        currency_iso_code:
          type: string
          description: ISO code of the currency
      description: Current compensation details
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsCurrentCompensation
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentTypesItemsEmploymentType:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the employment type
        name:
          type: string
          description: Employment type name
      description: Employment type associated with the job
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentTypesItemsEmploymentType
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentTypesItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job employment type
        employment_type:
          $ref: >-
            #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentTypesItemsEmploymentType
          description: Employment type associated with the job
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentTypesItems
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsInterviewPlanStagesItemsCategoryTypeSlug:
      type: string
      enum:
        - LEAD
        - ACTIVE
        - COMPLETED
      description: Category type of the interview plan stage
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsInterviewPlanStagesItemsCategoryTypeSlug
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsInterviewPlanStagesItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the interview plan stage
        name:
          type: string
          description: Interview plan stage name
        position_number:
          type:
            - integer
            - 'null'
          description: Position number of the stage in the interview plan
        default_type_slug:
          type:
            - string
            - 'null'
          description: Default type slug of the interview plan stage
        interview_plan_id:
          type: string
          format: uuid
          description: Interview plan ID associated with this stage
        category_type_slug:
          $ref: >-
            #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsInterviewPlanStagesItemsCategoryTypeSlug
          description: Category type of the interview plan stage
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsInterviewPlanStagesItems
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsHiringMemberJobPermissionsByTypeSlug:
      type: object
      properties:
        hiring_team:
          type: string
          description: Hiring team permissions
        job_posting:
          type: string
          description: Job posting permissions
        compensation:
          type: string
          description: Compensation permissions
        interview_plan:
          type: string
          description: Interview plan permissions
        application_form_submission:
          type: string
          description: Application form submission permissions
        application_form_submission_sensitive_fields:
          type: string
          description: Application form submission sensitive fields permissions
      description: Hiring member job permissions by type slug
      title: >-
        AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsHiringMemberJobPermissionsByTypeSlug
    AtsJobsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the job
        title:
          type: string
          description: Job title
        status:
          $ref: >-
            #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsStatus
          description: Job status
        job_teams:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobTeamsItems
          description: Teams associated with the job
        created_at:
          type: string
          format: date-time
          description: Timestamp when the job was created
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the job was last updated
        job_locations:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobLocationsItems
          description: Locations associated with the job
        hiring_members:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsHiringMembersItems
          description: Hiring members associated with the job
        is_confidential:
          type: boolean
          description: Indicates if the job is confidential
        job_departments:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobDepartmentsItems
          description: Departments associated with the job
        approval_rule_id:
          type:
            - string
            - 'null'
          format: uuid
          description: Unique identifier for the approval rule
        applications_count:
          type:
            - integer
            - 'null'
          description: Number of applications for the job
        approval_request_id:
          type:
            - string
            - 'null'
          format: uuid
          description: Unique identifier for the approval request
        current_compensation:
          oneOf:
            - $ref: >-
                #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsCurrentCompensation
            - type: 'null'
          description: Current compensation details
        job_employment_types:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentTypesItems
          description: Employment types associated with the job
        richtext_description:
          type:
            - string
            - 'null'
          description: Rich text description of the job
        interview_plan_stages:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsInterviewPlanStagesItems
          description: Interview plan stages
        approval_request_stringified:
          type:
            - string
            - 'null'
          description: Stringified approval request
        created_by_hris_organization_user_id:
          type:
            - string
            - 'null'
          format: uuid
          description: Unique identifier of the user who created the job
        hiring_member_job_permissions_by_type_slug:
          oneOf:
            - $ref: >-
                #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItemsHiringMemberJobPermissionsByTypeSlug
            - type: 'null'
          description: Hiring member job permissions by type slug
      title: AtsJobsGetResponsesContentApplicationJsonSchemaDataItems
    ATS_retrieveAListOfAtsJobs_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaDataItems
        has_more:
          type: boolean
          description: Indicates if there are more items to fetch.
        next_cursor:
          type:
            - string
            - 'null'
          description: Cursor for the next page of results
        total_count:
          type: integer
          description: Total number of jobs
      title: ATS_retrieveAListOfAtsJobs_Response_200
    AtsJobsGetResponsesContentApplicationJsonSchemaItems:
      type: object
      properties:
        code:
          type: string
          description: Error code of the handler which produced the returned error
        field:
          type: string
          description: The field name where input validation failed
        message:
          type: string
          description: Description of the returned error
      title: AtsJobsGetResponsesContentApplicationJsonSchemaItems
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/ats/jobs"

querystring = {"cursor":"cursorValue","limit":"50","search":"engineer","interview_plan_id":"b3b7c8e2-4e2a-4c3b-9e2d-1a2b3c4d5e6f","location_ids":"[\"d1e2f3a4-b5c6-7d8e-9f01-23456789abcd\"]","team_ids":"[\"a1b2c3d4-e5f6-7a8b-9c0d-1234567890ab\"]","employment_type_ids":"[\"e1f2a3b4-c5d6-7e8f-9a01-23456789bcde\"]","department_ids":"[\"f1e2d3c4-b5a6-7c8d-9e0f-123456789abc\"]","updated_after":"2025-06-18T00:00:00.000Z","status":"[\"OPEN\",\"CLOSED\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/ats/jobs?cursor=cursorValue&limit=50&search=engineer&interview_plan_id=b3b7c8e2-4e2a-4c3b-9e2d-1a2b3c4d5e6f&location_ids=%5B%22d1e2f3a4-b5c6-7d8e-9f01-23456789abcd%22%5D&team_ids=%5B%22a1b2c3d4-e5f6-7a8b-9c0d-1234567890ab%22%5D&employment_type_ids=%5B%22e1f2a3b4-c5d6-7e8f-9a01-23456789bcde%22%5D&department_ids=%5B%22f1e2d3c4-b5a6-7c8d-9e0f-123456789abc%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z&status=%5B%22OPEN%22%2C%22CLOSED%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/ats/jobs?cursor=cursorValue&limit=50&search=engineer&interview_plan_id=b3b7c8e2-4e2a-4c3b-9e2d-1a2b3c4d5e6f&location_ids=%5B%22d1e2f3a4-b5c6-7d8e-9f01-23456789abcd%22%5D&team_ids=%5B%22a1b2c3d4-e5f6-7a8b-9c0d-1234567890ab%22%5D&employment_type_ids=%5B%22e1f2a3b4-c5d6-7e8f-9a01-23456789bcde%22%5D&department_ids=%5B%22f1e2d3c4-b5a6-7c8d-9e0f-123456789abc%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z&status=%5B%22OPEN%22%2C%22CLOSED%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/ats/jobs?cursor=cursorValue&limit=50&search=engineer&interview_plan_id=b3b7c8e2-4e2a-4c3b-9e2d-1a2b3c4d5e6f&location_ids=%5B%22d1e2f3a4-b5c6-7d8e-9f01-23456789abcd%22%5D&team_ids=%5B%22a1b2c3d4-e5f6-7a8b-9c0d-1234567890ab%22%5D&employment_type_ids=%5B%22e1f2a3b4-c5d6-7e8f-9a01-23456789bcde%22%5D&department_ids=%5B%22f1e2d3c4-b5a6-7c8d-9e0f-123456789abc%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z&status=%5B%22OPEN%22%2C%22CLOSED%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/ats/jobs?cursor=cursorValue&limit=50&search=engineer&interview_plan_id=b3b7c8e2-4e2a-4c3b-9e2d-1a2b3c4d5e6f&location_ids=%5B%22d1e2f3a4-b5c6-7d8e-9f01-23456789abcd%22%5D&team_ids=%5B%22a1b2c3d4-e5f6-7a8b-9c0d-1234567890ab%22%5D&employment_type_ids=%5B%22e1f2a3b4-c5d6-7e8f-9a01-23456789bcde%22%5D&department_ids=%5B%22f1e2d3c4-b5a6-7c8d-9e0f-123456789abc%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z&status=%5B%22OPEN%22%2C%22CLOSED%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/ats/jobs?cursor=cursorValue&limit=50&search=engineer&interview_plan_id=b3b7c8e2-4e2a-4c3b-9e2d-1a2b3c4d5e6f&location_ids=%5B%22d1e2f3a4-b5c6-7d8e-9f01-23456789abcd%22%5D&team_ids=%5B%22a1b2c3d4-e5f6-7a8b-9c0d-1234567890ab%22%5D&employment_type_ids=%5B%22e1f2a3b4-c5d6-7e8f-9a01-23456789bcde%22%5D&department_ids=%5B%22f1e2d3c4-b5a6-7c8d-9e0f-123456789abc%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z&status=%5B%22OPEN%22%2C%22CLOSED%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/ats/jobs?cursor=cursorValue&limit=50&search=engineer&interview_plan_id=b3b7c8e2-4e2a-4c3b-9e2d-1a2b3c4d5e6f&location_ids=%5B%22d1e2f3a4-b5c6-7d8e-9f01-23456789abcd%22%5D&team_ids=%5B%22a1b2c3d4-e5f6-7a8b-9c0d-1234567890ab%22%5D&employment_type_ids=%5B%22e1f2a3b4-c5d6-7e8f-9a01-23456789bcde%22%5D&department_ids=%5B%22f1e2d3c4-b5a6-7c8d-9e0f-123456789abc%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z&status=%5B%22OPEN%22%2C%22CLOSED%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/ats/jobs?cursor=cursorValue&limit=50&search=engineer&interview_plan_id=b3b7c8e2-4e2a-4c3b-9e2d-1a2b3c4d5e6f&location_ids=%5B%22d1e2f3a4-b5c6-7d8e-9f01-23456789abcd%22%5D&team_ids=%5B%22a1b2c3d4-e5f6-7a8b-9c0d-1234567890ab%22%5D&employment_type_ids=%5B%22e1f2a3b4-c5d6-7e8f-9a01-23456789bcde%22%5D&department_ids=%5B%22f1e2d3c4-b5a6-7c8d-9e0f-123456789abc%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z&status=%5B%22OPEN%22%2C%22CLOSED%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```